midiOSCesp v0.1
By Sam Neurohack


Forward incoming midi messages as OSC message (UDP) to micropython host to trigger hardware event. In example : noteon, noteoff lights on/off some leds connected to an ESP 8266.

Remember to edit netconf.py for network/OSC configuration.
Connect the led strip data line to D5 (GPIO 14)

* Computer side : List and hook to all midi devices (real or virtual). OSC commands generated from incoming midi messages :
	- /noteon midichannel, note, velocity
	- /noteoff midichannel, note
	- /rawcc midichannel, CCnumber, CCvalue
	- /clock
	- /start
	- /stop

* Micropython/ESP side :

	- interpret /noteon and /noteoff and switch one led in a led strip. Changing or adding functions to clock or other midi msg is easy, look lserver.py. 
	- ESP 8266 from https://www.wemos.cc/en/latest/d1/d1_mini_lite.html
	- Micropython firmware (select v1.13 with the right RAM amount): https://micropython.org/download/esp8266/
	- Flash firmware, upload python files, run files,... thonny IDE : https://thonny.org/
	- Great tutorials : https://randomnerdtutorials.com/getting-started-thonny-micropython-python-ide-esp32-esp8266/





More soon...